Page 1 of 2

Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 04 May 2014 10:59
by karesmakro
Copfilter 2.1.92beta4 released

We are pleased to announce the new Copfilter 2.1.92beta4 for IPCop 2.1.5 release!
This is only a bug fix release with a few updates.

Changelog:
  • - replaced mailscanner.sh to work with p3scan blacklist and whitelist
    - fixed copfilter_functions to fix spamd problems on proxsmtpd
    - sqlite 3.8.4.3
    - php 5.4.28
    - some other small fixes
Install description:
The update procedure is like the prerelease. Make a backup of your copfilter settings and uninstall it. Run the update of IPCop 2.1.5 and reboot the IPCop machine. Afterwards copy and install the new Copfilter 2.1.92beta4 release and restore your settings.

Download and complete changelog at http://www.copfilter.org/pg64

please report any bugs!

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 03:40
by jcsernik
I received the error message:
invalid SSL_version specified at /usr/lib/perl5/site_perl/5.14.2/IO/Socket/SSL.pm line 444
A little search and I found viewtopic.php?f=10&t=1080&p=5281&hilit= ... fied#p5281

I tried:

Code: Select all

/root/copfilter/setup_util -SF
So far I don't know yet if it helps but I'll update soon. :D

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 04:48
by jcsernik
Having an issue with ClamAV, it says FAILED every time I try to Start it.

I tried to change the config to be minimal and it still doesn't start. I also tried to upgrade to the 0.98.3 version with the same results. I checked the clamd.log and nothing in there seems out of place. I tried rebooting and same issue during boot and afterward.

I did try to run:

Code: Select all

~/copfilter/opt/clamav/etc/init.d/copfilter_clamd debug
I get the following output:
clamd is not running
Clamav debug mode enabled
starting clamd ERROR: Incorrect argument format for option Debug
ERROR: Can't open/parse the config file /var/log/copfilter/default/opt/clamav/etc/clamd.conf Failed
Weirdly, if I run:

Code: Select all

ps ax | grep clamav
I will see something like:
3340 ? R 26:44 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --fdpass --stdout /var/log/copfilter/default/opt/proxsmtp/tmp/proxsmtpd.TLd2Pc.dir
5044 ? R 23:18 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --reload
Some history:

I was on the last version for IPCOP 2.0.6. I backed up my setting from command line (setup_util -b), uninstalled (setup_util -u), rebooted, installed all IPCOP Updates, rebooting at each one which indicated it was mandatory before installing more, then when completed with 2.1.5, installed copfilter, rebooted, restored from backup (setup_util -r), went to each config page and verified the settings were there, saved changes on each without restarting the services, then Restarted all services and I don't recall seeing an issue. Later I enabled C_ICAP support (setup_util -W) and finally later I did the above fix for SSL (setup_util -SF), saw clamav was having issues and tried to install the newer version to see if it'd help. When I had Copfilter uninstalled there was an error during that reboot regarding 3rd party sigs or something to that effect like something was left over in the init scripts for copfilter even though it was uninstalled already but that stopped after it was installed again.

Any ideas?

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 08:14
by karesmakro
Hi jcsernik!

It seems, that your clamd.conf has no content! Please could you post me the output of

Code: Select all

ls -ahl /var/log/copfilter/default/opt/clamav/etc
You'll find a config on https://www.it-connect-unix.de/copfilte ... /clamd.txt

regards

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 20:55
by jcsernik
jcsernik wrote:I received the error message:
invalid SSL_version specified at /usr/lib/perl5/site_perl/5.14.2/IO/Socket/SSL.pm line 444
A little search and I found viewtopic.php?f=10&t=1080&p=5281&hilit= ... fied#p5281

I tried:

Code: Select all

/root/copfilter/setup_util -SF
So far I don't know yet if it helps but I'll update soon. :D

/Joe
This issue is seems resolved after that fix.

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 21:02
by jcsernik
karesmakro wrote:Hi jcsernik!

It seems, that your clamd.conf has no content! Please could you post me the output of

Code: Select all

ls -ahl /var/log/copfilter/default/opt/clamav/etc
You'll find a config on https://www.it-connect-unix.de/copfilte ... /clamd.txt

regards
Here it is:
total 84K
drwxr-xr-x 3 spam copfilter 4.0K May 13 22:38 .
drwxr-xr-x 8 spam copfilter 4.0K May 13 21:46 ..
-rw-r--r-- 1 root root 14K May 13 22:38 clamd.conf
-rw-r--r-- 1 spam copfilter 14K May 13 21:39 clamd.conf-0.97.8
-rw-r--r-- 1 spam copfilter 17K Feb 14 18:27 clamd.conf.sample
-rw-r--r-- 1 root root 6.8K May 13 22:30 freshclam.conf
-rw-r--r-- 1 spam copfilter 8.5K Feb 14 18:27 freshclam.conf.sample
drwxr-xr-x 2 spam copfilter 4.0K Mar 5 16:16 init.d
Looks like it could be permissions then? I just tried changing it to spam.copfilter on both root-owned ones but same result so I guess not. I can try replacing the config file with your copy, or I can send this copy to you...

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 21:12
by jcsernik
Every time I try to start that service actually it changes the ownerships back to root... for those files. I also renamed the config, grabbed yours and put it in, then tried again with the same results so I put my config back.

:?

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 14 May 2014 22:19
by karesmakro
Did you made a restart after the update process?
The clamd.conf exists and is not the reason, but it seems, that there is a hanging process, after seeing your outputs again
Can you kill the processes and try starting clamav again? For example your output is

Code: Select all

ps ax | grep clamav
3340 ? R 26:44 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --fdpass --stdout /var/log/copfilter/default/opt/proxsmtp/tmp/proxsmtpd.TLd2Pc.dir
5044 ? R 23:18 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --reload
you should kill them with

Code: Select all

kill -9 3340 5044
regards

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 17 May 2014 05:18
by jcsernik
karesmakro wrote:Did you made a restart after the update process?
The clamd.conf exists and is not the reason, but it seems, that there is a hanging process, after seeing your outputs again
Can you kill the processes and try starting clamav again? For example your output is

Code: Select all

ps ax | grep clamav
3340 ? R 26:44 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --fdpass --stdout /var/log/copfilter/default/opt/proxsmtp/tmp/proxsmtpd.TLd2Pc.dir
5044 ? R 23:18 /var/log/copfilter/default/opt/clamav/default/bin/clamdscan --reload
you should kill them with

Code: Select all

kill -9 3340 5044
regards
I did do the restart after install, I have also tried killing the processes but it still won't start.

I can try to uninstall and then reinstall, see if it starts, then restore settings and so on and see where it breaks? I don't really know how to troubleshoot it, the 'debug' option seems broken, and the 'start' option just fails. :cry:

/Joe

Re: Copfilter 2.1.92beta4 for IPCop 2.1.5

Posted: 17 May 2014 08:26
by jcsernik
I just did a fresh install of IPcop 2.1.1 (addon friendly) and updated it to 2.1.5 and rebooted. Then I installed CopFilter 2.1.92b4 and rebooted. Next I ran the sendmail fix. Next I installed the Admin mod.

I decided to manually configure, so I tried to set up mail and it keeps saying 'invalid input', next I set up SMTP proxy, SPAMd, monit, and ClamAV (enabled 3rd party sigs) and tried to start services, same issue; ClamAV won't start.

/Joe